Commit 445f6066 authored by Benni Mack's avatar Benni Mack Committed by Christian Kuhn
Browse files

[TASK] Update symfony dependencies to 5.4 (LTS)

This change enables raises Symfony's minimum
version to 5.4.0 as this is a LTS version.

Resolves: #96171
Releases: main, 11.5
Change-Id: Ia2acbe0bca60e0dbdb96cb2fe2e82a63f9575554
Reviewed-on: https://review.typo3.org/c/Packages/TYPO3.CMS/+/72836


Tested-by: core-ci's avatarcore-ci <typo3@b13.com>
Tested-by: Stefan Bürk's avatarStefan Bürk <stefan@buerk.tech>
Tested-by: Christian Kuhn's avatarChristian Kuhn <lolli@schwarzbu.ch>
Reviewed-by: Stefan Bürk's avatarStefan Bürk <stefan@buerk.tech>
Reviewed-by: Christian Kuhn's avatarChristian Kuhn <lolli@schwarzbu.ch>
parent 444438b6
......@@ -70,29 +70,29 @@
"psr/http-server-handler": "^1.0",
"psr/http-server-middleware": "^1.0",
"psr/log": "^1.0",
"symfony/config": "^5.3.4",
"symfony/console": "^5.3.7",
"symfony/dependency-injection": "^5.3.7",
"symfony/config": "^5.4",
"symfony/console": "^5.4",
"symfony/dependency-injection": "^5.4",
"symfony/event-dispatcher-contracts": "^1.1 || ^2.0",
"symfony/expression-language": "^5.3.7",
"symfony/filesystem": "^5.3.4",
"symfony/finder": "^5.3.7",
"symfony/http-foundation": "^5.3.7",
"symfony/mailer": "^5.3.4",
"symfony/mime": "^5.3.7",
"symfony/options-resolver": "^5.3.7",
"symfony/expression-language": "^5.4",
"symfony/filesystem": "^5.4",
"symfony/finder": "^5.4",
"symfony/http-foundation": "^5.4",
"symfony/mailer": "^5.4",
"symfony/mime": "^5.4",
"symfony/options-resolver": "^5.4",
"symfony/polyfill-intl-icu": "^1.23.0",
"symfony/polyfill-intl-idn": "^1.23.0",
"symfony/polyfill-intl-normalizer": "^1.23.0",
"symfony/polyfill-mbstring": "^1.23.1",
"symfony/polyfill-php80": "^1.23.1",
"symfony/polyfill-php81": "^1.23",
"symfony/property-access": "^5.3.7",
"symfony/property-info": "^5.3.7",
"symfony/rate-limiter": "^5.3.4",
"symfony/routing": "^5.3.7",
"symfony/var-dumper": "^5.3.7",
"symfony/yaml": "^5.3.6",
"symfony/property-access": "^5.4",
"symfony/property-info": "^5.4",
"symfony/rate-limiter": "^5.4",
"symfony/routing": "^5.4",
"symfony/var-dumper": "^5.4",
"symfony/yaml": "^5.4",
"typo3/class-alias-loader": "^1.0",
"typo3/cms-cli": "^3.1",
"typo3/cms-composer-installers": "^2.0 || ^3.0 || ^4.0",
......
This diff is collapsed.
......@@ -22,7 +22,7 @@
"psr/http-message": "^1.0",
"psr/http-server-handler": "^1.0",
"psr/http-server-middleware": "^1.0",
"symfony/var-dumper": "^5.3.7",
"symfony/var-dumper": "^5.4",
"typo3/cms-backend": "11.5.*@dev",
"typo3/cms-core": "11.5.*@dev",
"typo3/cms-fluid": "11.5.*@dev",
......
......@@ -50,26 +50,26 @@
"psr/http-server-handler": "^1.0",
"psr/http-server-middleware": "^1.0",
"psr/log": "^1.0",
"symfony/config": "^5.3.4",
"symfony/console": "^5.3.7",
"symfony/dependency-injection": "^5.3.7",
"symfony/config": "^5.4",
"symfony/console": "^5.4",
"symfony/dependency-injection": "^5.4",
"symfony/event-dispatcher-contracts": "^1.1 || ^2.0",
"symfony/expression-language": "^5.3.7",
"symfony/filesystem": "^5.3.4",
"symfony/finder": "^5.3.7",
"symfony/http-foundation": "^5.3.7",
"symfony/mailer": "^5.3.4",
"symfony/mime": "^5.3.7",
"symfony/options-resolver": "^5.3.7",
"symfony/expression-language": "^5.4",
"symfony/filesystem": "^5.4",
"symfony/finder": "^5.4",
"symfony/http-foundation": "^5.4",
"symfony/mailer": "^5.4",
"symfony/mime": "^5.4",
"symfony/options-resolver": "^5.4",
"symfony/polyfill-intl-icu": "^1.23.0",
"symfony/polyfill-intl-idn": "^1.23.0",
"symfony/polyfill-intl-normalizer": "^1.23.0",
"symfony/polyfill-mbstring": "^1.23.1",
"symfony/polyfill-php80": "^1.23.1",
"symfony/polyfill-php81": "^1.23",
"symfony/rate-limiter": "^5.3.4",
"symfony/routing": "^5.3.7",
"symfony/yaml": "^5.3.6",
"symfony/rate-limiter": "^5.4",
"symfony/routing": "^5.4",
"symfony/yaml": "^5.4",
"typo3/class-alias-loader": "^1.0",
"typo3/cms-cli": "^3.1",
"typo3/cms-composer-installers": "^2.0 || ^3.0 || ^4.0",
......
......@@ -21,9 +21,9 @@
"require": {
"phpdocumentor/reflection-docblock": "^5.2",
"phpdocumentor/type-resolver": "^1.4",
"symfony/dependency-injection": "^5.3.7",
"symfony/property-access": "^5.3.7",
"symfony/property-info": "^5.3.7",
"symfony/dependency-injection": "^5.4",
"symfony/property-access": "^5.4",
"symfony/property-info": "^5.4",
"typo3/cms-core": "11.5.*@dev"
},
"suggest": {
......
......@@ -19,7 +19,7 @@
"sort-packages": true
},
"require": {
"symfony/dependency-injection": "^5.3.7",
"symfony/dependency-injection": "^5.4",
"typo3/cms-core": "11.5.*@dev",
"typo3/cms-extbase": "11.5.*@dev",
"typo3fluid/fluid": "^2.7.1"
......
......@@ -20,7 +20,7 @@
},
"require": {
"psr/http-message": "^1.0",
"symfony/expression-language": "^5.3.7",
"symfony/expression-language": "^5.4",
"typo3/cms-core": "11.5.*@dev"
},
"suggest": {
......
......@@ -22,8 +22,8 @@
"doctrine/dbal": "^2.13.5",
"guzzlehttp/promises": "^1.4.0",
"nikic/php-parser": "^4.10.4",
"symfony/finder": "^5.3.7",
"symfony/http-foundation": "^5.3.7",
"symfony/finder": "^5.4",
"symfony/http-foundation": "^5.4",
"typo3/cms-core": "11.5.*@dev",
"typo3/cms-extbase": "11.5.*@dev",
"typo3/cms-fluid": "11.5.*@dev"
......
......@@ -22,7 +22,7 @@
"doctrine/dbal": "^2.13.5",
"psr/http-message": "^1.0",
"psr/log": "^1.0",
"symfony/console": "^5.3.7",
"symfony/console": "^5.4",
"typo3/cms-backend": "11.5.*@dev",
"typo3/cms-core": "11.5.*@dev",
"typo3fluid/fluid": "^2.7.1"
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment